Package org.kapott.hbci.GV_Result

## Class GVRTANList.TANList

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRTANList.TANList

Enclosing class:
  GVRTANList

    public static class GVRTANList.TANList
    extends java.lang.Object

Informationen zu genau einer TAN-Liste.

### Field Summary

Fields
`java.util.Date` `date` Erstellungsdatum der Liste, kann `null` sein.
`int` `nofTANsPerList` Anzahl TANs pro Liste
`int` `nofUsedTANsPerList` Anzahl verbrauchter TANs pro Liste
`java.lang.String` `number` Listennummer
`char` `status` Typ der TAN-Liste.

### Constructor Summary

Constructors
`TANList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTANInfo​(GVRTANList.TANInfo info)`
`GVRTANList.TANInfo[]` `getTANInfos()` Gibt ein Feld mit Daten zu den einzelnen TANs dieser Liste zurück.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public char status

Typ der TAN-Liste. Gültige Codes sind:

- A - aktive Liste
- N - Noch nicht freigeschaltete Liste
- S - Sperre der Liste
- V - vorherige Liste

#### number

    public java.lang.String number

Listennummer

#### date

    public java.util.Date date

Erstellungsdatum der Liste, kann `null` sein.

#### nofTANsPerList

    public int nofTANsPerList

Anzahl TANs pro Liste

#### nofUsedTANsPerList

    public int nofUsedTANsPerList

Anzahl verbrauchter TANs pro Liste

### Constructor Detail

#### TANList

    public TANList()

### Method Detail

#### getTANInfos

    public GVRTANList.TANInfo[] getTANInfos()

Gibt ein Feld mit Daten zu den einzelnen TANs dieser Liste zurück.

Returns:
  Array mit TAN-Informationen

#### addTANInfo

    public void addTANInfo​(GVRTANList.TANInfo info)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`